Skip to content

Get Run Usage

GET /runs/{run_id}/usage
NameInTypeNotes
run_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseRunUsageView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/runs/{run_id}/usage \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
tokens_inputintegeroptionalDefault 0.
tokens_outputintegeroptionalDefault 0.
tokens_cache_readintegeroptionalDefault 0.
tokens_cache_writeintegeroptionalDefault 0.
tokens_reasoningintegeroptionalDefault 0.
coststringoptionalDefault "0".
cost_sourcestring | nulloptional—